<!DOCTYPE html>
<html lang="es">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css"
    integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="static/css/styles.css">
    <link rel="stylesheet" href="static/css/modal.css">

    <title>Sistema Reservas - Django & VueJS</title>
</head>
    <body>
        <div class="container" style="text-align: center; margin-top: 40px;">
            <h2>Sistema Reservas - Django & VueJS</h2>
        </div>
        <div id="app" class="container reservas-row" style="display: inline;">

            <div class="row" style="width: 100%;">
                <div class="col-md-2"></div>
                <div class="col-md-4">
                    <h4>Crear un usuario</h4>
                    <hr>
                    <form @submit.prevent="creaUsuario()">
                        <div class="addusuario">
                            <input class="form-control" type="text" id="usuarioInput" name="usuario" v-model="usuario.nombreUsuario" placeholder="Nombre de Usuario">
                            <button class="btn"><i id="agrega-icon" class="fa fa-plus-circle" aria-hidden="true"></i></button>
                        </div>
                    </form>
                    <h4 class="titulo-reservas">Usuarios sin reserva</h4>
                    <hr>
                    <div class="contenedor-usuarios">
                        <p v-for="usuario in conteoPorUsuario" :key="usuario.nombreUsuario" v-if="usuario.conteo === 0" class="usuario" v-bind:class="{ 'selected-user': usuario.nombreUsuario == reserva.usuarioReserva && selectUser == true }" @click="selectUsuario(usuario.nombreUsuario)">
                            {$ usuario.nombreUsuario $}
                            <i @click="deleteUsuario(usuario.nombreUsuario)" id="elimina-usuario-icon" aria-hidden="true" class="fa fa-times-circle"></i>
                        </p>
                    </div>

                    <h4 class="titulo-reservas">Usuarios con reserva activa</h4>
                    <hr>
                    <div class="contenedor-usuarios">
                        <p v-for="usuario in conteoActivoPorUsuario" :key="usuario.nombreUsuario" v-if="usuario.conteo > 0" class="agendado" v-bind:class="{ 'selected-user': usuario.nombreUsuario == reserva.usuarioReserva && selectUser == true }" @click="selectUsuario(usuario.nombreUsuario)">
                            {$ usuario.nombreUsuario $} ({$ usuario.conteo $})
                        </p>
                    </div>

                    <h4 class="titulo-reservas">Usuarios con reserva ya atendida</h4>
                    <hr>
                    <div class="contenedor-usuarios">
                        <p v-for="usuario in conteoInactivoPorUsuario" :key="usuario.nombreUsuario" v-if="usuario.conteo > 0" class="usuario" v-bind:class="{ 'selected-user': usuario.nombreUsuario == reserva.usuarioReserva && selectUser == true }" @click="selectUsuario(usuario.nombreUsuario)">
                            {$ usuario.nombreUsuario $} ({$ usuario.conteo $})
                        </p>
                    </div>
                </div>

                <div class="col-md-4">
                    <h4>Reservar Día</h4>
                    <hr>

                    <div class="datepicker">
                        <v-calendar :attributes='attrs' @dayclick="selectFecha" :model-config="modelConfig">
                    </div>

                    <h4 class="titulo-reservas">Lista de Reservas</h4>
                    <hr>
                    <div id="listado-reservas" class="card">
                        <ul class="list-group list-group-flush">
                            <li v-for="reserva in usuariosResActiva" :key="reserva.id" id="ul-listado-reservas" class="list-group-item">
                                <p id="texto-tarea-list">{$ reserva.usuarioReserva $}</p>
                                <i @click="deleteReserva(reserva.id, reserva.usuarioReserva)" id="elimina-reserva-icon" aria-hidden="true" class="fa fa-times-circle"></i>
                                <i @click="confirmaAtencion(reserva.id, reserva.usuarioReserva, reserva.estadoReserva)" id="confirma-reserva-icon" aria-hidden="true" class="fa fa-check-circle"></i>
                                <p id="estado-tarea-list">{$ reserva.fechaReserva $}</p>
                            </li>
                        </ul>
                    </div>

                    <h4 class="titulo-reservas">Reservas atendidas</h4>
                    <hr>
                    <div id="listado-reservas" class="card">
                        <ul class="list-group list-group-flush">
                            <li v-for="reserva in usuariosResInactiva" :key="reserva.id" id="ul-listado-reservas" class="list-group-item">
                                <p id="texto-tarea-list">{$ reserva.usuarioReserva $}</p>
                                <i @click="deleteReserva(reserva.id, reserva.usuarioReserva)" id="elimina-reserva-icon" aria-hidden="true" class="fa fa-times-circle"></i>
                                <i @click="confirmaAtencion(reserva.id, reserva.usuarioReserva, reserva.estadoReserva)" id="confirma-reserva-icon" aria-hidden="true" class="fa fa-check-circle estado-ok"></i>
                                <p id="estado-tarea-list">{$ reserva.fechaReserva $}</p>
                            </li>
                        </ul>
                    </div>

                    
                </div>
                <div class="col-md-2"></div>
            </div>

            <!-- The Modal -->
            <div id="myModal" class="modal">

                <!-- Modal content -->
                <div class="modal-content">
                    
                        <div class="modal-header">
                            <h5 class="modal-title" style="color:whitesmoke;">Crear Reserva</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <i class="fa fa-times" aria-hidden="true"></i>
                            </button>
                        </div>
                    
                        <div class="modal-body">
                            <p>{$ reserva.usuarioReserva $} - {$ reserva.fechaReserva $}</p>
                        </div>
                        <form @submit.prevent="creaReserva()">
                            <div class="modal-footer">
                                <button type="button" id="btn-cierra" class="btn btn-light" data-dismiss="modal">Cerrar</button>
                                <button type="submit" id="btn-reserva" class="submit-btn btn btn-primary">Enviar</button>
                            </div>
                        </form>
                
                </div>

            </div>

        </div>
        
        <!-- VueJS -->
        <script type="text/javascript" src="static/vue/vue.js"></script>
        <script type="text/javascript" src="static/vue/axios.min.js"></script>
        <script type="text/javascript" src="static/vue/axios.min.js"></script>
        <!-- Draggable Functionality -->
        <script type="text/javascript" src="static/js/Sortable.js"></script>
        <script type="text/javascript" src="static/vue/vuedraggable.umd.min.js"></script>
        <!-- 2. Link VCalendar Javascript (Plugin automatically installed) -->
        <script src='https://unpkg.com/v-calendar'></script>
        <!-- Custom Scripts -->
        <!--<script type="text/javascript" src="static/vue/apps/calendario.js"></script>-->
        <script type="text/javascript" src="static/vue/apps/reservas.js"></script>
        <script type="text/javascript" src="static/js/modal.js"></script>
        
    </body>
    
</html>